Android Студия Ошибка: ( 8, 0 ) Плагин с идентификатором ' Android ' не найден

? user927584 @ | Original: StackOverFlow
---

Я установил Android Studio ( 0.6.1 ) на OS X ( 10.9.3 ) и Gradle 1,1 с помощью Brew ( квас установить Gradle ) . Тем не менее, я не могу получить мой первый Hello World! Проект ... Пожалуйста, помогите мне решить эту проблему

build.gradle:

    buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:0.11.+'
    }
}

apply plugin: 'android'

repositories {
    mavenCentral()
}

android {
    compileSdkVersion 19
    buildToolsVersion '19.1'
    defaultConfig {}
    productFlavors {}
}

dependencies {
}

Error message:

Ошибка: ( 8, 0 ) Плагин с идентификатором ' Android ' не найден .

http://stackoverflow.com/questions/21646502/getting-build-failed-with-an-exception-android-studio-0-4-3-and-0-4-4 Почта и http://stackoverflow.com/questions/18153739/android-studio-plugin-with-id-android-library-not-found должность не решает проблему ...

http://stackoverflow.com/questions/18153739/android-studio-plugin-with-id-android-library-not-found возвращает сообщение об ошибке:

Ошибка:проект использует неподдерживаемый версию Gradle . пожалуйста   использовать версию 1.10. Пожалуйста, укажите в поддерживаемый Gradle версии в   Проект годов настройки Gradle или в Gradle обертки проекта (если   применимо. ) Закрепите оболочку Gradle и   реимпорта проекта настройки Gradle

---

Top 5 ответ

1pyus13 @

Кажется, вы пропустили, чтобы добавить андроид Gradle зависимость плагина в dependencies блока.

Замените верхнюю buildScript раздел, это и синхронизировать ваш проект с Gradle

 buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:0.11.+'
    }
 }

 apply plugin: 'android'

 android {
      compileSdkVersion 19
      buildToolsVersion '19.1.0'
      defaultConfig {
          applicationId 'YOUR_APP_PACKAGE'
          minSdkVersion 9
          targetSdkVersion 17
      }
      buildTypes {
          release {
            runProguard false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
          }
      }
      productFlavors {   }
  }

  dependencies {

   }
2sherin @

build.gradle файла внутри моей папке " App" ПУТЬ: /home/work/ProjectName/app/build.gradle

android {
     compileSdkVersion 19
     buildToolsVersion '19.1.0'

defaultConfig {
    minSdkVersion 11
    targetSdkVersion 19
    versionCode 1
    versionName '1.0'
}


 dependencies {
  compile 'com.android.support:support-v4:18.0.0'
  compile 'com.android.support:appcompat-v7:+'

 }
}

build.gradle файл вне моей "приложение " папку: путь: /home/work/ProjectName/build.gradle

buildscript {
repositories {
    mavenCentral()
}
dependencies {
    classpath 'com.android.tools.build:gradle:0.11.+'
}
}

allprojects {
repositories {
    mavenCentral()
}
}

Примечание После всех этих обновлений синхронизировать ваш проект с Gradle файла

3Bao Le @

Положите ниже код в build.gradle файл основного приложения и синхронизировать его .

buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:1.0.0'
    }
}

allprojects {
    repositories {
        mavenCentral()
    }
}

Кредит http://stackoverflow.com/questions/24204436/error1-0-plugin-with-id-android-not-found/26114190#26114190